import { WebDavProtocolItem } from "@/models/WebDavProtocolItem.js";
import i18n from "@/i18n";

export const AllOs = [
  new WebDavProtocolItem(
    "Windows:&nbsp;&nbsp;",
    "ms-windows-store://pdp/?ProductId=9nqb82r5hmnh",
    "WebDAV Drive",
    "window"
  ),
  new WebDavProtocolItem(
    "Mac OS:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",
    "https://apps.apple.com/us/app/webdav-drive/id6502366145",
    "WebDAV Drive",
    "mac-os"
  )
];

export const AllBrowsers = [
  new WebDavProtocolItem(
    "",
    "https://chrome.google.com/webstore/detail/it-hit-edit-doc-opener-5/nakgflbblpkdafokdokmjdfglijajhlp",
    i18n.t("phrases.extensionFor", { browser: "Google Chrome." }),
    "goole-chrome"
  ),
  new WebDavProtocolItem(
    "",
    "https://addons.mozilla.org/en-CA/firefox/addon/it-hit-edit-doc-opener-5/",
    i18n.t("phrases.extensionFor", { browser: "Mozilla Firefox." }),
    "mozilla-firefox"
  ),
  new WebDavProtocolItem(
    "",
    "https://microsoftedge.microsoft.com/addons/detail/mdfaonmaoigngflemfmkboffllkopopm",
    i18n.t("phrases.extensionFor", { browser: "Microsoft Edge Chromium." }),
    "edge-chromium"
  )
];
